Skip to content
Start here

Create a new Provider Configs

client.AIGateway.ProviderConfigs.New(ctx, gatewayID, params) (*ProviderConfigNewResponse, error)
POST/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/provider_configs

Creates a new AI Gateway.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Secrets Store Write
ParametersExpand Collapse
gatewayID string

gateway id

maxLength64
minLength1
params ProviderConfigNewParams
AccountID param.Field[string]

Path param

Alias param.Field[string]

Body param

DefaultConfig param.Field[bool]

Body param

ProviderSlug param.Field[string]

Body param

Secret param.Field[string]

Body param

SecretID param.Field[string]

Body param

RateLimit param.Field[float64]optional

Body param

RateLimitPeriod param.Field[float64]optional

Body param

ReturnsExpand Collapse
type ProviderConfigNewResponse struct{…}
ID string
Alias string
DefaultConfig bool
GatewayID string

gateway id

maxLength64
minLength1
ModifiedAt Time
formatdate-time
ProviderSlug string
SecretID string
SecretPreview string
RateLimit float64optional
RateLimitPeriod float64optional

Create a new Provider Configs

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/ai_gateway"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  providerConfig, err := client.AIGateway.ProviderConfigs.New(
    context.TODO(),
    "my-gateway",
    ai_gateway.ProviderConfigNewParams{
      AccountID: cloudflare.F("3ebbcb006d4d46d7bb6a8c7f14676cb0"),
      Alias: cloudflare.F("alias"),
      DefaultConfig: cloudflare.F(true),
      ProviderSlug: cloudflare.F("provider_slug"),
      Secret: cloudflare.F("secret"),
      SecretID: cloudflare.F("secret_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", providerConfig.ID)
}
{
  "result": {
    "id": "id",
    "alias": "alias",
    "default_config": true,
    "gateway_id": "my-gateway",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "provider_slug": "provider_slug",
    "secret_id": "secret_id",
    "secret_preview": "secret_preview",
    "rate_limit": 0,
    "rate_limit_period": 0
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "id",
    "alias": "alias",
    "default_config": true,
    "gateway_id": "my-gateway",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "provider_slug": "provider_slug",
    "secret_id": "secret_id",
    "secret_preview": "secret_preview",
    "rate_limit": 0,
    "rate_limit_period": 0
  },
  "success": true
}